package fr.emse.gitlab.saref.entities.git;

import java.util.HashSet;
import java.util.Set;

public class Repositories {	
	
	private Repository defaultRepository;
	private Set<Repository> namedRepositories = new HashSet<Repository>();
	
	public boolean add(Repository namedRepository) {
		return namedRepositories.add(namedRepository);
	}
	
	public Repository getDefaultRepository() {
		return defaultRepository;
	}
	
	public Set<Repository> getNamedRepositories() {
		return namedRepositories;
	}
	
	public void setDefaultRepository(Repository repository) {
		this.defaultRepository = repository;
	}
	
}
